---
layout: comparison_page
description: "This page compares the features of GitLab software to non-GitLab software. Review the pros and cons of each to help make your decision easier."
suppress_header: true
image_title: '/images/devops-tools/title_image.png'
extra_css:
  - compared.css
  - release-posts.css
extra_js:
  - bootstrap-tooltip.js
---

- product_one = data.devops_tools_list.devops_tools[key_one]
- product_two = data.devops_tools_list.devops_tools[key_two]
- content_for(:title){ product_one.name + " vs. GitLab" }

.row
  .col-md-12
    %a{href: '/devops-tools/'}
      ← Back to DevOps tools page

.row.margin-top50
  - if product_one.summary.present?
    .col-md-10.col-md-offset-1.margin-bottom30
      = kramdown(product_one.summary)
  - if product_one.include_file.present?
    .col-md-10
      = partial product_one.include_file

%table.compare-table.comparing-gitlab
  %colgroup
    %col{:width => "80%"}
    %col{:width => "10%"}
    %col{:width => "10%"}
  %thead
    %tr
      %th.text-left.table-title
        FEATURES
      %th.text-center.table-title-logo
        - if (product_one.logo != "null")
          = image_tag "#{product_one.logo}", alt: "#{product_one.name}", class: "logo"
        - else
          = product_one.name
      %th.text-center.table-title-logo
        = image_tag "/images/devops-tools/gitlab-logo.svg", alt: "GitLab", class: "logo"
  %tbody.header.first
    - data.features.features.each do |feature|
      - shared_feature = (feature.public_send(key_one) != nil && feature.public_send(key_two) != nil)
      - if shared_feature
        %tr
          %td.feature-in-list
            %p.feature-in-list-title.feature-contents
              %strong= feature.title
              - if defined?(feature)
                = partial "includes/features/badges", locals: { tier_hash: serialize_tier_hash(feature), gitlab_com: feature.gitlab_com, is_dark: true }
            %p
              = kramdown(feature.description)
            %p
              = link_to feature.link_description, feature.link
          %td.check-container.text-center
            - if feature
              = partial "includes/features/feature-item-support", locals: { feature_support: feature.public_send(key_one) }

          %td.check-container.text-center
            - if feature
              = partial "includes/features/feature-item-support", locals: { feature_support: feature.public_send(key_two) }

.last-updated-section.text-center
  %p.clearfix
    // check if file exists to display download button
    - if sitemap.find_resource_by_path("/devops-tools/pdfs/#{key_one.dup.tr('_', '-')}-vs-gitlab.pdf")
      = link_to "Download as PDF", "/devops-tools/pdfs/#{key_one.dup.tr('_', '-')}-vs-gitlab.pdf", class: "featured-item-cta-btn", download: "Comparison PDF"
  %p{:style => "margin: 50px 0 10px"}
    If you feel there are inaccurate statements in this comparison or a tool missing, please
    %a{ href: "https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/source/templates/comparison.html.haml", target: "_blank" } edit this page
    or propose edits by
    %a{ href: "mailto:incoming+gitlab-com-marketing-product-marketing-7424125-issue-@incoming.gitlab.com?subject=DevOps%20tool%20request&amp;bcc=devopstools%40gitlab.com&amp;body=foo-%20Tool%20name%3A%0D%0A-%20Stages%3A%0D%0A-%20Change%3A%0D%0A%0D%0A%0D%0APlease%20leave%20these%20label%20flags.%20%20%20%20%0D%0A%2Flabel%20~comparison%20~Servicedesk"} opening an issue.
    You can also send an email to
    %a{ href: "mailto:devopstools@gitlab.com?subject=Suggested%20edit%20https://about.gitlab.com#{current_page.url}" }
      devopstools@gitlab.com
    with your suggested edits if you're unable to open an issue or edit this page.
  %p
    We strive for technical accuracy and will review and update this post for inaccuracies as quickly as possible.
